#ifndef SRC_PAGES_FRM13_H
#define SRC_PAGES_FRM13_H

#include "../HmiApp.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "misc/misc.h"
#include "op/DataSample.h"
#include "op/EventMgr.h"
#include "op/RCP.h"
#include "op/OpLog.h"
#include "util/DateUtil.h"
#include "util/StringUtil.h"

using namespace std;
using namespace stt;
using namespace stt::op;
using namespace stt::db;
using namespace stt::misc;
using namespace stt::data;
using namespace stt::util;
using namespace stt::constant;

/********************************
 *
 *  页面类
 *
 *  注意：用户可在指定位置添加修改内容
 *

 ********************************/
class HmiApp;

class Frm13: public STTPage {
public:
	STTHistoryTrend *wMHistoryTrend1;
	STTButton *wMButton4;
	void wMButton4_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton5;
	void wMButton5_clk_cb(uint16_t code, LvEvent e);

	STTTextArea *wMTextNumber3;
	STTLabel *wMLabel1;
	STTTextArea *wMTextNumber4;
	STTLabel *wMLabel2;
	STTButton *wMButton7;
	void wMButton7_clk_cb(uint16_t code, LvEvent e);

	STTLabel *wMLabel3;
public:
	Frm13(HmiApp *app, STTWidget *par, const string &id, const string &desc = "");
	virtual ~Frm13();
	void onInit();
	void createParts();
	void onLoad();
	bool onClosing();
	void onDispose();
	/*CUSTOM_CODE_BEGIN*/
	/*CUSTOM_CODE_END*/

protected:
	HmiApp *hmiApp;
};

#endif
